# Uses of Interface
org.springframework.core.AttributeAccessor

Packages that use AttributeAccessor
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.

## Uses of AttributeAccessor in org.springframework.core

Classes in org.springframework.core that implement AttributeAccessor
Modifier and Type
Class
Description
`class`
`AttributeAccessorSupport`
Support class for `AttributeAccessors`, providing a base implementation of all methods.
Methods in org.springframework.core with parameters of type AttributeAccessor
Modifier and Type
Method
Description
`protected void`
AttributeAccessorSupport.`copyAttributesFrom(AttributeAccessor source)`
Copy the attributes from the supplied AttributeAccessor to this accessor.